import { Action } from '../../client/action.types';
export declare type QueryApi<T> = {
    response: null | T;
    loading: boolean;
    error: boolean;
    fetch: () => void;
};
export declare type QueryProps<T, R> = {
    initFetch?: boolean;
    action: Action<R>;
    children: (props: QueryApi<T>) => any;
};
