import { Action } from '../../client/action.types';
export declare type PaginatedQueryApi<T> = {
    response: T[];
    loading: boolean;
    error: boolean;
    fetch: (...props: any) => void;
};
export declare type PaginatedQueryProps<T, R> = {
    initFetch?: boolean;
    action: (...props: any) => Action<R>;
    children: (props: PaginatedQueryApi<T>) => any;
};
